package com.dgtis.dorm.manager.db.dao;

import java.util.List;

import com.dgtis.dorm.manager.db.domain.AlumniRegion;
import org.apache.ibatis.annotations.Param;

public interface AlumniRegionMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(AlumniRegion record);

    int insertSelective(AlumniRegion record);

    AlumniRegion selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AlumniRegion record);

    int updateByPrimaryKey(AlumniRegion record);

	List<AlumniRegion> selectByPid(@Param("parentId") Integer parentId);
}